Commit bc8c40ff authored by Karel Slaný's avatar Karel Slaný

Using version script file when overriding libtool using w64-mingw.

parent 9d8e88b7
......@@ -106,11 +106,13 @@ CLEANFILES += \
# Also, the commands may require winpthread-static to have installed.
DNSSEC_CORE_INSTALL_CMD = \
$(CC) -shared -Wl,--output-def,libDNSSECcore.def,-Bstatic,-Bsymbolic,-lws2_32,-liphlpapi,-lgdi32,-lcrypt32 \
-Wl,--version-script=$(abs_top_builddir)/core_js-ctypes/libDNSSECcore.ver \
-o .libs/libDNSSECcore$(SO_SUFF) common.o dnssec-plug.o log_dflt.o \
$(DANE_CORE_STATIC_DEPS) -lws2_32 -liphlpapi -lgdi32 -lcrypt32 && \
touch libDNSSECcore.la
DANE_CORE_INSTALL_CMD = \
$(CC) -shared -Wl,--output-def,libDANEcore.def,-Bstatic,-Bsymbolic,-lws2_32,-liphlpapi,-lgdi32,-lcrypt32 \
-Wl,--version-script=$(abs_top_builddir)/core_js-ctypes/libDANEcore.ver \
-o .libs/libDANEcore$(SO_SUFF) common.o dane-plug.o log_dflt.o ca_store_win.o \
$(DANE_CORE_STATIC_DEPS) -lws2_32 -liphlpapi -lgdi32 -lcrypt32 && \
touch libDANEcore.la
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment